Open CASCADE Technology  6.9.1
Public Member Functions
GCE2d_MakeSegment Class Reference

Implements construction algorithms for a line segment in the plane. The result is a Geom2d_TrimmedCurve curve. A MakeSegment object provides a framework for: More...

#include <GCE2d_MakeSegment.hxx>

Inheritance diagram for GCE2d_MakeSegment:
Inheritance graph
[legend]

Public Member Functions

 GCE2d_MakeSegment (const gp_Pnt2d &P1, const gp_Pnt2d &P2)
 Make a segment of Line from the 2 points <P1> and <P2>. Status is "ConfusedPoints" if <P1> and <P2> are confused. More...
 
 GCE2d_MakeSegment (const gp_Pnt2d &P1, const gp_Dir2d &V, const gp_Pnt2d &P2)
 Make a segment of Line from the point <P1> with the direction. More...
 
 GCE2d_MakeSegment (const gp_Lin2d &Line, const Standard_Real U1, const Standard_Real U2)
 Make a segment of Line from the line <Line> between the two parameters U1 and U2. Status is "SameParamters" if <U1> is equal <U2>. More...
 
 GCE2d_MakeSegment (const gp_Lin2d &Line, const gp_Pnt2d &Point, const Standard_Real Ulast)
 Make a segment of Line from the line <Line> between the point <Point> and the parameter Ulast. It returns NullObject if <U1> is equal <U2>. More...
 
 GCE2d_MakeSegment (const gp_Lin2d &Line, const gp_Pnt2d &P1, const gp_Pnt2d &P2)
 Make a segment of Line from the line <Line> between the two points <P1> and <P2>. It returns NullObject if <P1> and <P2> are confused. Warning If the points which limit the segment are coincident for given points or for the projection of given points on the line which supports the line segment (that is, when IsDone returns false), the Status function returns gce_ConfusedPoints. This warning only concerns the first two constructors. More...
 
const Handle< Geom2d_TrimmedCurve > & Value () const
 Returns the constructed line segment. Exceptions StdFail_NotDone if no line segment is constructed. More...
 
const Handle< Geom2d_TrimmedCurve > & Operator () const
 
 operator Handle_Geom2d_TrimmedCurve () const
 
- Public Member Functions inherited from GCE2d_Root
Standard_Boolean IsDone () const
 Returns true if the construction is successful. More...
 
gce_ErrorType Status () const
 Returns the status of the construction. More...
 

Additional Inherited Members

- Protected Attributes inherited from GCE2d_Root
gce_ErrorType TheError
 

Detailed Description

Implements construction algorithms for a line segment in the plane. The result is a Geom2d_TrimmedCurve curve. A MakeSegment object provides a framework for:

Constructor & Destructor Documentation

GCE2d_MakeSegment::GCE2d_MakeSegment ( const gp_Pnt2d P1,
const gp_Pnt2d P2 
)

Make a segment of Line from the 2 points <P1> and <P2>. Status is "ConfusedPoints" if <P1> and <P2> are confused.

GCE2d_MakeSegment::GCE2d_MakeSegment ( const gp_Pnt2d P1,
const gp_Dir2d V,
const gp_Pnt2d P2 
)

Make a segment of Line from the point <P1> with the direction.

and ended by the projection of <P2> on the line <P1,V>. Status is "ConfusedPoints" if <P1> and <P2> are confused.

GCE2d_MakeSegment::GCE2d_MakeSegment ( const gp_Lin2d Line,
const Standard_Real  U1,
const Standard_Real  U2 
)

Make a segment of Line from the line <Line> between the two parameters U1 and U2. Status is "SameParamters" if <U1> is equal <U2>.

GCE2d_MakeSegment::GCE2d_MakeSegment ( const gp_Lin2d Line,
const gp_Pnt2d Point,
const Standard_Real  Ulast 
)

Make a segment of Line from the line <Line> between the point <Point> and the parameter Ulast. It returns NullObject if <U1> is equal <U2>.

GCE2d_MakeSegment::GCE2d_MakeSegment ( const gp_Lin2d Line,
const gp_Pnt2d P1,
const gp_Pnt2d P2 
)

Make a segment of Line from the line <Line> between the two points <P1> and <P2>. It returns NullObject if <P1> and <P2> are confused. Warning If the points which limit the segment are coincident for given points or for the projection of given points on the line which supports the line segment (that is, when IsDone returns false), the Status function returns gce_ConfusedPoints. This warning only concerns the first two constructors.

Member Function Documentation

const Handle< Geom2d_TrimmedCurve >& GCE2d_MakeSegment::Operator ( ) const
GCE2d_MakeSegment::operator Handle_Geom2d_TrimmedCurve ( ) const
const Handle< Geom2d_TrimmedCurve >& GCE2d_MakeSegment::Value ( ) const

Returns the constructed line segment. Exceptions StdFail_NotDone if no line segment is constructed.


The documentation for this class was generated from the following file: